Bug 519525 - [RFE] prompt to reuse existing directories
Summary: [RFE] prompt to reuse existing directories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 22:58 UTC by David Le Sage
Modified: 2016-08-10 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 15:21:07 UTC


Attachments (Terms of Use)

Description David Le Sage 2009-08-26 22:58:13 UTC
Description of problem:
If an administrator adds a new user for whom a partition already exists, that partition is not automatically mounted.  For instance, imagine there is a partition called /home/fredsmith containing Fred's data in Fedora 10.

A clean installation of Fedora 11 is added to the computer (/home/fredsmith is not altered or reformatted.)


Post-installation, the root user launches system-config-user and recreates account for fredsmith.  In previous releases, user would be prompted that subdirectory already exists, even though partition is not yet mounted, and they are asked if that should be used as the person's home directory.  This does not occur in Fed 11.  



Version-Release number of selected component (if applicable):
Fedora 11 base install (no yum updates.)

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora 10 with a separate partition for one of the users (/home/fredsmith)
2. Undertake a fresh installation of Fedora 11.  
3. Note:  Do NOT add Fred Smith as normal user account during Anaconda installation as it DOES actually work properly then.
4. Instead, post-installation, log into GNOME and use "System->Administration->Users and Groups" menu item (that is, "system-config-users" application) to add fredsmith. 
  
Actual results:
User account created but system does not realise that unmounted partition for this user already exists on file system.

Expected results:
Previous release prompted administrator, asking him or her if they wanted to use the existing sub-directory as the home directory for fredsmith.

Additional info:

Comment 1 David Le Sage 2009-08-27 05:51:57 UTC
Just to clarify a little further, since what I wrote this morning was somewhat wordy:


1.  From the previous installation of Fedora, a partition with a mount point of /home/fredsmith exists.


2.  The old Fedora is "blown away" and the new Fedora freshly installed in its place.


3.  Upon logging in, the administrator wishes to create the user "fredsmith."


4.  He does so, thus generating /home/fredsmith once more.  


5.  Previously, the software would realise that this was the old mountpoint for the partition and it would prompt the administrator to use it.  

6.  Now, in Fed 11, the dialogue box which offers to use the old partition does not launch automatically when the fredsmith account is recreated.

Comment 2 Bug Zapper 2010-04-28 10:00:04 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Nils Philippsen 2010-04-29 17:07:17 UTC
Sorry for the late response, I dropped that.

Unfortunately my memory of what s-c-users did about that in the past is spotty. I could only have asked to reuse a home directory if it existed in the system, there is no code and never has been (I'm sure about that) in s-c-users that checks unused partitions/volumes.

I'll probably not add code that randomly pokes about unused volumes, but will add the FutureFeature keyword to get at least directory checks into s-c-users (again?).

Comment 4 David Le Sage 2010-04-29 22:03:04 UTC
Thanks Nils. That sounds good.

Comment 5 Nils Philippsen 2016-08-10 15:21:07 UTC
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-users anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.


Note You need to log in before you can comment on or make changes to this bug.